Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1122232 - Review Request: nodejs-rainbowsocks - SOCKS4a proxy client
Summary: Review Request: nodejs-rainbowsocks - SOCKS4a proxy client
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Christopher Meng
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: nodejs-reviews 1122239
TreeView+ depends on / blocked
 
Reported: 2014-07-22 19:05 UTC by Ralph Bean
Modified: 2014-09-09 22:23 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-08-18 17:51:39 UTC
i: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Ralph Bean 2014-07-22 19:05:30 UTC
Spec URL: http://ralph.fedorapeople.org//nodejs-rainbowsocks.spec
SRPM URL: http://ralph.fedorapeople.org//nodejs-rainbowsocks-0.1.2-1.fc20.src.rpm

Description:
SOCKS4a client developed with rainbows.

Comment 1 Parag AN(पराग) 2014-07-28 11:08:02 UTC
Hey cicku,
   Can you find some spare time and finish this review so that I can continue with other package review that depends on this review?

Thanks.

Comment 2 Parag AN(पराग) 2014-08-02 13:09:27 UTC
cicku,
  can you finish this review?

Comment 3 Christopher Meng 2014-08-02 14:07:26 UTC
Will review on Monday.

Comment 4 Christopher Meng 2014-08-04 08:16:18 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated




===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[-]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. No licenses
     found. Please check the source files for licenses manually.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).


Rpmlint
-------
Checking: nodejs-rainbowsocks-0.1.2-1.fc22.noarch.rpm
          nodejs-rainbowsocks-0.1.2-1.fc22.src.rpm
nodejs-rainbowsocks.noarch: W: only-non-binary-in-usr-lib
nodejs-rainbowsocks.noarch: W: dangling-symlink /usr/lib/node_modules/rainbowsocks/node_modules/debug /usr/lib/node_modules/debug
2 packages and 0 specfiles checked; 0 errors, 2 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint nodejs-rainbowsocks
nodejs-rainbowsocks.noarch: W: only-non-binary-in-usr-lib
nodejs-rainbowsocks.noarch: W: dangling-symlink /usr/lib/node_modules/rainbowsocks/node_modules/debug /usr/lib/node_modules/debug
1 packages and 0 specfiles checked; 0 errors, 2 warnings.
# echo 'rpmlint-done:'



Requires
--------
nodejs-rainbowsocks (rpmlib, GLIBC filtered):
    nodejs(engine)
    npm(debug)



Provides
--------
nodejs-rainbowsocks:
    nodejs-rainbowsocks
    npm(rainbowsocks)



Source checksums
----------------
http://registry.npmjs.org/rainbowsocks/-/rainbowsocks-0.1.2.tgz :
  CHECKSUM(SHA256) this package     : 17e1d52ae57bc0071ea06b65907b19175d156f6cf43847af629ccb40dae80827
  CHECKSUM(SHA256) upstream package : 17e1d52ae57bc0071ea06b65907b19175d156f6cf43847af629ccb40dae80827


Generated by fedora-review 0.5.2 (63c24cb) last change: 2014-07-14
Command line :/usr/bin/fedora-review -rvn nodejs-rainbowsocks-0.1.2-1.fc20.src.rpm
Buildroot used: fedora-rawhide-i386
Active plugins: Generic, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG

Comment 5 Christopher Meng 2014-08-04 08:16:52 UTC
PACKAGE APPROVED.

Comment 6 Ralph Bean 2014-08-18 13:18:59 UTC
New Package SCM Request
=======================
Package Name: nodejs-rainbowsocks
Short Description: SOCKS4a proxy client
Upstream URL: https://www.npmjs.org/package/rainbowsocks
Owners: ralph
Branches: f21 f20 f19 epel7
InitialCC:

Comment 7 Kevin Fenzi 2014-08-18 14:53:25 UTC
Git done (by process-git-requests).

Comment 8 Fedora Update System 2014-08-18 17:50:12 UTC
nodejs-rainbowsocks-0.1.2-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/nodejs-rainbowsocks-0.1.2-1.fc20

Comment 9 Fedora Update System 2014-08-18 17:50:22 UTC
nodejs-rainbowsocks-0.1.2-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/nodejs-rainbowsocks-0.1.2-1.fc19

Comment 10 Ralph Bean 2014-08-18 17:51:39 UTC
Buildroot overrides submitted.

Comment 11 Fedora Update System 2014-09-09 22:05:50 UTC
nodejs-rainbowsocks-0.1.2-1.fc19 has been pushed to the Fedora 19 stable repository.

Comment 12 Fedora Update System 2014-09-09 22:23:59 UTC
nodejs-rainbowsocks-0.1.2-1.fc20 has been pushed to the Fedora 20 stable repository.


Note You need to log in before you can comment on or make changes to this bug.